Bug 432339 - Deleting of activation key lead to old perl page
Summary: Deleting of activation key lead to old perl page
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server   
(Show other bugs)
Version: 510
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 248640
TreeView+ depends on / blocked
 
Reported: 2008-02-11 13:26 UTC by Miroslav Suchý
Modified: 2008-04-02 20:47 UTC (History)
0 users

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:47:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miroslav Suchý 2008-02-11 13:26:36 UTC
Description of problem:
Deleting of activation key lead to old perl page. If you click from thih page on
"create new activation key" it leads to perl page too. And this page is not
multiorg aware.

Version-Release number of selected component (if applicable):
510

How reproducible:
done twice

Steps to Reproduce:
1. Create Activation key
2. Delete activation key

  
Actual results:
/network/account/activation_keys/list.pxt

Expected results:
/rhn/activationkeys/List.do

Additional info:
Create new activation key lead to:
/network/account/activation_keys/create.pxt

Comment 1 Miroslav Suchý 2008-02-11 13:36:47 UTC
Commited fix in trunk as rev. 136748.

Comment 2 Miroslav Suchý 2008-02-11 14:33:30 UTC
I added additional commit 136752, which add correct link to "Create Activation
key" on perl page:
/network/account/activation_keys/list.pxt
There should be no links to this page, and possibly can be removed. But this is
more safe.

Comment 3 Miroslav Suchý 2008-02-13 08:24:10 UTC
Satellite 5.1.0-143 and Proxy 5.1.0-28 Content now available on webqa Channels. 

Moving ON_QA.

Comment 4 Corey Welton 2008-02-13 16:58:00 UTC
QA Verified, scenario no longer leads to bad pages, and link to create a new
activation key correctly returns user to multiorg aware activation key page.


Comment 5 Brandon Perkins 2008-04-02 20:47:52 UTC
Multi-Org Satellite for 5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.